
@import "_variable";

.sub-pricing {
    background-image: url("./img/Layer 2 1.png");
    background-size: cover;
    background-position: center;
    font-family: "Montserrat";
}

.section-title--margin-modifier {
    padding: 50px 0 112px 0;
}

.sub-variants {
    display: flex;
    justify-content: center;
    gap: 15px;
    padding-bottom: 50px;
}

.sub-variants__card {
    width: 24%;
    height: 457px;
    background-color: rgba($color: #fff, $alpha: .1);
}

.sub-variants__card--active {
    width: 27%;
    height: 560px;
    background-color: #463048;

    & .card__title-block {
        width: 100%;
        background-color: #412D42;
    }

    & .card__price {
        font-size: 82px;
        line-height: 90px;
        padding-top: 14px;
        margin-bottom: 127px;
    }

    & .card__price::after {
        top: 90px;
        left: 35%;
    }

    & .card__proposition::before {
        left: 40%;
    }

    & .card__proposition{
        margin-bottom: 83px;
    }
}

.card__title-block {
    width: 100%;
    height: 97px;
    background-color: rgba($color: #fff, $alpha: .05);
}

.card__title {
    
    font-size: 24px;
    text-transform: uppercase;
    color: #FFFFFF;
    text-align: center;
    padding-top: 36px;
}



.card__price {
    font-weight: 700;
    font-size: 60px;
    color: #fff;
    text-align: center;
    padding-top: 30px;
    margin-bottom: 110px;
    position: relative;

    &::before {
        content: "$";
        font-weight: 400;
    }

// 

    &::after {
        content: "Per month";
        text-transform: uppercase;
        font-size: 14px;
        font-weight: 400;
        position: absolute;
        left: 33%;
        top: 107px;
    }
}


.card__proposition {
    color: #fff;
    font-weight: 400;
    height: 44px;
    font-size: 16px;
    line-height: 18px;
    text-align: center;
    position: relative;
    margin-bottom: 32px;


    &::before {
        content: "";
        display: inline-block;
        background-color: $colorTheme;
        height: 5px;
        width: 60px;
        position: absolute;
        left: 39%;
        top: -36px;  
    }
}


.card__purchase-btn {
    box-sizing: border-box;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #FFFFFF;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 15px;
    width: 160px;
    height: 42px;
    background-color: rgba($color: #fff, $alpha: .15);
    border-radius: 50px;

}






@media (max-width: 992px) {

    .container {
       max-width: 728px;   
    }

    .section-title--margin-modifier {
        font-size: 42px;
        line-height: 44px;
        padding-bottom: 39px;
        padding: 90px auto;
    }

    .sub-variants {
        flex-wrap: wrap;
        padding-bottom: 83px;
        gap: 25px;
    }

    .sub-variants__card {
        width: 40%;
        margin-bottom: 70px;
    }

    .sub-variants__card--active {
        width: 50%;
    }
}

@media(max-width: 480px) {

    .section-title--margin-modifier {
        font-size: 28px;
        line-height: 42px;
        padding: 2px 0 32px 0;
    }

    .sub-variants {
        flex-direction: column;
        padding-bottom: 20px;
        align-items: center;
    }

    .sub-variants__card {
        margin-bottom: 0;
        min-width: 90%;
    }

    .sub-variants__card--active {
        width: 100%;
    }

}